Bug 830174 - RFE: Detect pending updates
RFE: Detect pending updates
Status: NEW
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 09:05 EDT by Christoph Wickert
Modified: 2018-01-29 12:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2012-06-08 09:05:11 EDT
Description of problem:
It would be nice if abrt could detect when a bug has an update pending and direct people to the update *before* adding them CC.

Version-Release number of selected component (if applicable):
abrt-2.0.10-4.fc17

How reproducible:
always 

Steps to Reproduce:
1. watch a very popular ABRT bug
2. wait for an update to fix it
  
Actual results:
Even though there is an update available in updates-testing already, users continue to report the bug and get added CC. This is annoying because one receives notifications. In bug 734442 an update was issues one week ago, but still more than 20 people reported the bug again.

Expected results:
It would be cool if ABRT could display something along the lines of

  "Good news, there already is an update available for your problem.
   Do you want to install it now? [Y] / [n]"

Pressing Y would then automatically start packagekit with the updates-testing repo enabled and install the update. How awesome would that be?
Comment 1 Jiri Moskovcak 2012-06-18 07:32:58 EDT
ABRT already search bodhi for pending updates and if there is an update referencing the bug it suggest updating. If it doesn't catch this one it's probably a bug.

Note You need to log in before you can comment on or make changes to this bug.